GET
/v3/reference/options/contracts
Options Contracts (All)
List options contracts (active + expired), filterable by underlying.
Endpoint Details
| HTTP Method | GET |
|---|---|
| Path | /v3/reference/options/contracts |
| Version | v3 |
| Minimum Plan | free |
Query Parameters
| Parameter | Type | Required | Description |
|---|---|---|---|
api_key |
string | Required | Your API key for authentication |
asset_class |
string | Optional | Filter by asset class (stocks, options, forex, crypto) |
locale |
string | Optional | Filter by locale/market (default: us) |
limit |
integer | Optional | Maximum number of results |
cursor |
string | Optional | Pagination cursor for next page |
Example Request
curl "https://mail.tradeiqai.com/api/v3/reference/options/contracts?api_key=YOUR_API_KEY"
Note: Replace YOUR_API_KEY with your actual API key.
Response Attributes
| Attribute | Type | Description |
|---|---|---|
ok | boolean | Indicates if the request was successful (e.g., 1) |
data | object | Response data object |
data.status | string | Response status (typically "OK") (e.g., OK) |
data.results | array | Array of 100 items |
| Array items contain: | ||
data.results[].cfi | string | String value (e.g., OCASPS) |
data.results[].contract_type | string | String value (e.g., call) |
data.results[].exercise_style | string | String value (e.g., american) |
data.results[].expiration_date | string | String value (e.g., 2026-10-16) |
data.results[].primary_exchange | string | String value (e.g., BATO) |
data.results[].shares_per_contract | integer | Integer (e.g., 100) |
data.results[].strike_price | integer | Integer (e.g., 65) |
data.results[].ticker | string | String value (e.g., O:A261016C00065000) |
data.results[].underlying_ticker | string | String value (e.g., A) |
data.next_url | string | URL for pagination to fetch the next page of results (e.g., https://api.tradeiqai.com/v3/reference/options/con...) |
Example Response
{
"ok": true,
"data": {
"status": "OK",
"count": 100,
"results": [
{
"cfi": "OCASPS",
"contract_type": "call",
"exercise_style": "american",
"expiration_date": "2026-10-16",
"primary_exchange": "BATO",
"shares_per_contract": 100,
"strike_price": 65,
"ticker": "O:A261016C00065000",
"underlying_ticker": "A"
},
{
"cfi": "OCASPS",
"contract_type": "call",
"exercise_style": "american",
"expiration_date": "2026-10-16",
"primary_exchange": "BATO",
"shares_per_contract": 100,
"strike_price": 70,
"ticker": "O:A261016C00070000",
"underlying_ticker": "A"
},
{
"cfi": "OCASPS",
"contract_type": "call",
"exercise_style": "american",
"expiration_date": "2026-10-16",
"primary_exchange": "BATO",
"shares_per_contract": 100,
"strike_price": 75,
"ticker": "O:A261016C00075000",
"underlying_ticker": "A"
},
{
"cfi": "OCASPS",
"contract_type": "call",
"exercise_style": "american",
"expiration_date": "2026-10-16",
"primary_exchange": "BATO",
"shares_per_contract": 100,
"strike_price": 80,
"ticker": "O:A261016C00080000",
"underlying_ticker": "A"
},
{
"cfi": "OCASPS",
"contract_type": "call",
"exercise_style": "american",
"expiration_date": "2026-10-16",
"primary_exchange": "BATO",
"shares_per_contract": 100,
"strike_price": 85,
"ticker": "O:A261016C00085000",
"underlying_ticker": "A"
},
{
"cfi": "OCASPS",
"contract_type": "call",
"exercise_style": "american",
"expiration_date": "2026-10-16",
"primary_exchange": "BATO",
"shares_per_contract": 100,
"strike_price": 90,
"ticker": "O:A261016C00090000",
"underlying_ticker": "A"
},
{
"cfi": "OCASPS",
"contract_type": "call",
"exercise_style": "american",
"expiration_date": "2026-10-16",
"primary_exchange": "BATO",
"shares_per_contract": 100,
"strike_price": 95,
"ticker": "O:A261016C00095000",
"underlying_ticker": "A"
},
{
"cfi": "OCASPS",
"contract_type": "call",
"exercise_style": "american",
"expiration_date": "2026-10-16",
"primary_exchange": "BATO",
"shares_per_contract": 100,
"strike_price": 100,
"ticker": "O:A261016C00100000",
"underlying_ticker": "A"
},
{
"cfi": "OCASPS",
"contract_type": "call",
"exercise_style": "american",
"expiration_date": "2026-10-16",
"primary_exchange": "BATO",
"shares_per_contract": 100,
"strike_price": 105,
"ticker": "O:A261016C00105000",
"underlying_ticker": "A"
},
{
"cfi": "OCASPS",
"contract_type": "call",
"exercise_style": "american",
"expiration_date": "2026-10-16",
"primary_exchange": "BATO",
"shares_per_contract": 100,
"strike_price": 110,
"ticker": "O:A261016C00110000",
"underlying_ticker": "A"
},
{
"cfi": "OCASPS",
"contract_type": "call",
"exercise_style": "american",
"expiration_date": "2026-10-16",
"primary_exchange": "BATO",
"shares_per_contract": 100,
"strike_price": 115,
"ticker": "O:A261016C00115000",
"underlying_ticker": "A"
},
{
"cfi": "OCASPS",
"contract_type": "call",
"exercise_style": "american",
"expiration_date": "2026-10-16",
"primary_exchange": "BATO",
"shares_per_contract": 100,
"strike_price": 120,
"ticker": "O:A261016C00120000",
"underlying_ticker": "A"
},
{
"cfi": "OCASPS",
"contract_type": "call",
"exercise_style": "american",
"expiration_date": "2026-10-16",
"primary_exchange": "BATO",
"shares_per_contract": 100,
"strike_price": 125,
"ticker": "O:A261016C00125000",
"underlying_ticker": "A"
},
{
"cfi": "OCASPS",
"contract_type": "call",
"exercise_style": "american",
"expiration_date": "2026-10-16",
"primary_exchange": "BATO",
"shares_per_contract": 100,
"strike_price": 130,
"ticker": "O:A261016C00130000",
"underlying_ticker": "A"
},
{
"cfi": "OCASPS",
"contract_type": "call",
"exercise_style": "american",
"expiration_date": "2026-10-16",
"primary_exchange": "BATO",
"shares_per_contract": 100,
"strike_price": 135,
"ticker": "O:A261016C00135000",
"underlying_ticker": "A"
},
{
"cfi": "OCASPS",
"contract_type": "call",
"exercise_style": "american",
"expiration_date": "2026-10-16",
"primary_exchange": "BATO",
"shares_per_contract": 100,
"strike_price": 140,
"ticker": "O:A261016C00140000",
"underlying_ticker": "A"
},
{
"cfi": "OCASPS",
"contract_type": "call",
"exercise_style": "american",
"expiration_date": "2026-10-16",
"primary_exchange": "BATO",
"shares_per_contract": 100,
"strike_price": 145,
"ticker": "O:A261016C00145000",
"underlying_ticker": "A"
},
{
"cfi": "OCASPS",
"contract_type": "call",
"exercise_style": "american",
"expiration_date": "2026-10-16",
"primary_exchange": "BATO",
"shares_per_contract": 100,
"strike_price": 150,
"ticker": "O:A261016C00150000",
"underlying_ticker": "A"
},
{
"cfi": "OCASPS",
"contract_type": "call",
"exercise_style": "american",
"expiration_date": "2026-10-16",
"primary_exchange": "BATO",
"shares_per_contract": 100,
"strike_price": 155,
"ticker": "O:A261016C00155000",
"underlying_ticker": "A"
},
{
"cfi": "OCASPS",
"contract_type": "call",
"exercise_style": "american",
"expiration_date": "2026-10-16",
"primary_exchange": "BATO",
"shares_per_contract": 100,
"strike_price": 160,
"ticker": "O:A261016C00160000",
"underlying_ticker": "A"
},
{
"cfi": "OCASPS",
"contract_type": "call",
"exercise_style": "american",
"expiration_date": "2026-10-16",
"primary_exchange": "BATO",
"shares_per_contract": 100,
"strike_price": 165,
"ticker": "O:A261016C00165000",
"underlying_ticker": "A"
},
{
"cfi": "OCASPS",
"contract_type": "call",
"exercise_style": "american",
"expiration_date": "2026-10-16",
"primary_exchange": "BATO",
"shares_per_contract": 100,
"strike_price": 170,
"ticker": "O:A261016C00170000",
"underlying_ticker": "A"
},
{
"cfi": "OCASPS",
"contract_type": "call",
"exercise_style": "american",
"expiration_date": "2026-10-16",
"primary_exchange": "BATO",
"shares_per_contract": 100,
"strike_price": 175,
"ticker": "O:A261016C00175000",
"underlying_ticker": "A"
},
{
"cfi": "OCASPS",
"contract_type": "call",
"exercise_style": "american",
"expiration_date": "2026-10-16",
"primary_exchange": "BATO",
"shares_per_contract": 100,
"strike_price": 180,
"ticker": "O:A261016C00180000",
"underlying_ticker": "A"
},
{
"cfi": "OCASPS",
"contract_type": "call",
"exercise_style": "american",
"expiration_date": "2026-10-16",
"primary_exchange": "BATO",
"shares_per_contract": 100,
"strike_price": 185,
"ticker": "O:A261016C00185000",
"underlying_ticker": "A"
},
{
"cfi": "OCASPS",
"contract_type": "call",
"exercise_style": "american",
"expiration_date": "2026-10-16",
"primary_exchange": "BATO",
"shares_per_contract": 100,
"strike_price": 190,
"ticker": "O:A261016C00190000",
"underlying_ticker": "A"
},
{
"cfi": "OCASPS",
"contract_type": "call",
"exercise_style": "american",
"expiration_date": "2026-10-16",
"primary_exchange": "BATO",
"shares_per_contract": 100,
"strike_price": 195,
"ticker": "O:A261016C00195000",
"underlying_ticker": "A"
},
{
"cfi": "OCASPS",
"contract_type": "call",
"exercise_style": "american",
"expiration_date": "2026-10-16",
"primary_exchange": "BATO",
"shares_per_contract": 100,
"strike_price": 200,
"ticker": "O:A261016C00200000",
"underlying_ticker": "A"
},
{
"cfi": "OCASPS",
"contract_type": "call",
"exercise_style": "american",
"expiration_date": "2026-10-16",
"primary_exchange": "BATO",
"shares_per_contract": 100,
"strike_price": 210,
"ticker": "O:A261016C00210000",
"underlying_ticker": "A"
},
{
"cfi": "OPASPS",
"contract_type": "put",
"exercise_style": "american",
"expiration_date": "2026-10-16",
"primary_exchange": "BATO",
"shares_per_contract": 100,
"strike_price": 65,
"ticker": "O:A261016P00065000",
"underlying_ticker": "A"
},
{
"cfi": "OPASPS",
"contract_type": "put",
"exercise_style": "american",
"expiration_date": "2026-10-16",
"primary_exchange": "BATO",
"shares_per_contract": 100,
"strike_price": 70,
"ticker": "O:A261016P00070000",
"underlying_ticker": "A"
},
{
"cfi": "OPASPS",
"contract_type": "put",
"exercise_style": "american",
"expiration_date": "2026-10-16",
"primary_exchange": "BATO",
"shares_per_contract": 100,
"strike_price": 75,
"ticker": "O:A261016P00075000",
"underlying_ticker": "A"
},
{
"cfi": "OPASPS",
"contract_type": "put",
"exercise_style": "american",
"expiration_date": "2026-10-16",
"primary_exchange": "BATO",
"shares_per_contract": 100,
"strike_price": 80,
"ticker": "O:A261016P00080000",
"underlying_ticker": "A"
},
{
"cfi": "OPASPS",
"contract_type": "put",
"exercise_style": "american",
"expiration_date": "2026-10-16",
"primary_exchange": "BATO",
"shares_per_contract": 100,
"strike_price": 85,
"ticker": "O:A261016P00085000",
"underlying_ticker": "A"
},
{
"cfi": "OPASPS",
"contract_type": "put",
"exercise_style": "american",
"expiration_date": "2026-10-16",
"primary_exchange": "BATO",
"shares_per_contract": 100,
"strike_price": 90,
"ticker": "O:A261016P00090000",
"underlying_ticker": "A"
},
{
"cfi": "OPASPS",
"contract_type": "put",
"exercise_style": "american",
"expiration_date": "2026-10-16",
"primary_exchange": "BATO",
"shares_per_contract": 100,
"strike_price": 95,
"ticker": "O:A261016P00095000",
"underlying_ticker": "A"
},
{
"cfi": "OPASPS",
"contract_type": "put",
"exercise_style": "american",
"expiration_date": "2026-10-16",
"primary_exchange": "BATO",
"shares_per_contract": 100,
"strike_price": 100,
"ticker": "O:A261016P00100000",
"underlying_ticker": "A"
},
{
"cfi": "OPASPS",
"contract_type": "put",
"exercise_style": "american",
"expiration_date": "2026-10-16",
"primary_exchange": "BATO",
"shares_per_contract": 100,
"strike_price": 105,
"ticker": "O:A261016P00105000",
"underlying_ticker": "A"
},
{
"cfi": "OPASPS",
"contract_type": "put",
"exercise_style": "american",
"expiration_date": "2026-10-16",
"primary_exchange": "BATO",
"shares_per_contract": 100,
"strike_price": 110,
"ticker": "O:A261016P00110000",
"underlying_ticker": "A"
},
{
"cfi": "OPASPS",
"contract_type": "put",
"exercise_style": "american",
"expiration_date": "2026-10-16",
"primary_exchange": "BATO",
"shares_per_contract": 100,
"strike_price": 115,
"ticker": "O:A261016P00115000",
"underlying_ticker": "A"
},
{
"cfi": "OPASPS",
"contract_type": "put",
"exercise_style": "american",
"expiration_date": "2026-10-16",
"primary_exchange": "BATO",
"shares_per_contract": 100,
"strike_price": 120,
"ticker": "O:A261016P00120000",
"underlying_ticker": "A"
},
{
"cfi": "OPASPS",
"contract_type": "put",
"exercise_style": "american",
"expiration_date": "2026-10-16",
"primary_exchange": "BATO",
"shares_per_contract": 100,
"strike_price": 125,
"ticker": "O:A261016P00125000",
"underlying_ticker": "A"
},
{
"cfi": "OPASPS",
"contract_type": "put",
"exercise_style": "american",
"expiration_date": "2026-10-16",
"primary_exchange": "BATO",
"shares_per_contract": 100,
"strike_price": 130,
"ticker": "O:A261016P00130000",
"underlying_ticker": "A"
},
{
"cfi": "OPASPS",
"contract_type": "put",
"exercise_style": "american",
"expiration_date": "2026-10-16",
"primary_exchange": "BATO",
"shares_per_contract": 100,
"strike_price": 135,
"ticker": "O:A261016P00135000",
"underlying_ticker": "A"
},
{
"cfi": "OPASPS",
"contract_type": "put",
"exercise_style": "american",
"expiration_date": "2026-10-16",
"primary_exchange": "BATO",
"shares_per_contract": 100,
"strike_price": 140,
"ticker": "O:A261016P00140000",
"underlying_ticker": "A"
},
{
"cfi": "OPASPS",
"contract_type": "put",
"exercise_style": "american",
"expiration_date": "2026-10-16",
"primary_exchange": "BATO",
"shares_per_contract": 100,
"strike_price": 145,
"ticker": "O:A261016P00145000",
"underlying_ticker": "A"
},
{
"cfi": "OPASPS",
"contract_type": "put",
"exercise_style": "american",
"expiration_date": "2026-10-16",
"primary_exchange": "BATO",
"shares_per_contract": 100,
"strike_price": 150,
"ticker": "O:A261016P00150000",
"underlying_ticker": "A"
},
{
"cfi": "OPASPS",
"contract_type": "put",
"exercise_style": "american",
"expiration_date": "2026-10-16",
"primary_exchange": "BATO",
"shares_per_contract": 100,
"strike_price": 155,
"ticker": "O:A261016P00155000",
"underlying_ticker": "A"
},
{
"cfi": "OPASPS",
"contract_type": "put",
"exercise_style": "american",
"expiration_date": "2026-10-16",
"primary_exchange": "BATO",
"shares_per_contract": 100,
"strike_price": 160,
"ticker": "O:A261016P00160000",
"underlying_ticker": "A"
},
{
"cfi": "OPASPS",
"contract_type": "put",
"exercise_style": "american",
"expiration_date": "2026-10-16",
"primary_exchange": "BATO",
"shares_per_contract": 100,
"strike_price": 165,
"ticker": "O:A261016P00165000",
"underlying_ticker": "A"
},
{
"cfi": "OPASPS",
"contract_type": "put",
"exercise_style": "american",
"expiration_date": "2026-10-16",
"primary_exchange": "BATO",
"shares_per_contract": 100,
"strike_price": 170,
"ticker": "O:A261016P00170000",
"underlying_ticker": "A"
},
{
"cfi": "OPASPS",
"contract_type": "put",
"exercise_style": "american",
"expiration_date": "2026-10-16",
"primary_exchange": "BATO",
"shares_per_contract": 100,
"strike_price": 175,
"ticker": "O:A261016P00175000",
"underlying_ticker": "A"
},
{
"cfi": "OPASPS",
"contract_type": "put",
"exercise_style": "american",
"expiration_date": "2026-10-16",
"primary_exchange": "BATO",
"shares_per_contract": 100,
"strike_price": 180,
"ticker": "O:A261016P00180000",
"underlying_ticker": "A"
},
{
"cfi": "OPASPS",
"contract_type": "put",
"exercise_style": "american",
"expiration_date": "2026-10-16",
"primary_exchange": "BATO",
"shares_per_contract": 100,
"strike_price": 185,
"ticker": "O:A261016P00185000",
"underlying_ticker": "A"
},
{
"cfi": "OPASPS",
"contract_type": "put",
"exercise_style": "american",
"expiration_date": "2026-10-16",
"primary_exchange": "BATO",
"shares_per_contract": 100,
"strike_price": 190,
"ticker": "O:A261016P00190000",
"underlying_ticker": "A"
},
{
"cfi": "OPASPS",
"contract_type": "put",
"exercise_style": "american",
"expiration_date": "2026-10-16",
"primary_exchange": "BATO",
"shares_per_contract": 100,
"strike_price": 195,
"ticker": "O:A261016P00195000",
"underlying_ticker": "A"
},
{
"cfi": "OPASPS",
"contract_type": "put",
"exercise_style": "american",
"expiration_date": "2026-10-16",
"primary_exchange": "BATO",
"shares_per_contract": 100,
"strike_price": 200,
"ticker": "O:A261016P00200000",
"underlying_ticker": "A"
},
{
"cfi": "OPASPS",
"contract_type": "put",
"exercise_style": "american",
"expiration_date": "2026-10-16",
"primary_exchange": "BATO",
"shares_per_contract": 100,
"strike_price": 210,
"ticker": "O:A261016P00210000",
"underlying_ticker": "A"
},
{
"cfi": "OCASPS",
"contract_type": "call",
"exercise_style": "american",
"expiration_date": "2026-11-20",
"primary_exchange": "BATO",
"shares_per_contract": 100,
"strike_price": 60,
"ticker": "O:A261120C00060000",
"underlying_ticker": "A"
},
{
"cfi": "OCASPS",
"contract_type": "call",
"exercise_style": "american",
"expiration_date": "2026-11-20",
"primary_exchange": "BATO",
"shares_per_contract": 100,
"strike_price": 65,
"ticker": "O:A261120C00065000",
"underlying_ticker": "A"
},
{
"cfi": "OCASPS",
"contract_type": "call",
"exercise_style": "american",
"expiration_date": "2026-11-20",
"primary_exchange": "BATO",
"shares_per_contract": 100,
"strike_price": 70,
"ticker": "O:A261120C00070000",
"underlying_ticker": "A"
},
{
"cfi": "OCASPS",
"contract_type": "call",
"exercise_style": "american",
"expiration_date": "2026-11-20",
"primary_exchange": "BATO",
"shares_per_contract": 100,
"strike_price": 75,
"ticker": "O:A261120C00075000",
"underlying_ticker": "A"
},
{
"cfi": "OCASPS",
"contract_type": "call",
"exercise_style": "american",
"expiration_date": "2026-11-20",
"primary_exchange": "BATO",
"shares_per_contract": 100,
"strike_price": 80,
"ticker": "O:A261120C00080000",
"underlying_ticker": "A"
},
{
"cfi": "OCASPS",
"contract_type": "call",
"exercise_style": "american",
"expiration_date": "2026-11-20",
"primary_exchange": "BATO",
"shares_per_contract": 100,
"strike_price": 85,
"ticker": "O:A261120C00085000",
"underlying_ticker": "A"
},
{
"cfi": "OCASPS",
"contract_type": "call",
"exercise_style": "american",
"expiration_date": "2026-11-20",
"primary_exchange": "BATO",
"shares_per_contract": 100,
"strike_price": 90,
"ticker": "O:A261120C00090000",
"underlying_ticker": "A"
},
{
"cfi": "OCASPS",
"contract_type": "call",
"exercise_style": "american",
"expiration_date": "2026-11-20",
"primary_exchange": "BATO",
"shares_per_contract": 100,
"strike_price": 95,
"ticker": "O:A261120C00095000",
"underlying_ticker": "A"
},
{
"cfi": "OCASPS",
"contract_type": "call",
"exercise_style": "american",
"expiration_date": "2026-11-20",
"primary_exchange": "BATO",
"shares_per_contract": 100,
"strike_price": 100,
"ticker": "O:A261120C00100000",
"underlying_ticker": "A"
},
{
"cfi": "OCASPS",
"contract_type": "call",
"exercise_style": "american",
"expiration_date": "2026-11-20",
"primary_exchange": "BATO",
"shares_per_contract": 100,
"strike_price": 105,
"ticker": "O:A261120C00105000",
"underlying_ticker": "A"
},
{
"cfi": "OCASPS",
"contract_type": "call",
"exercise_style": "american",
"expiration_date": "2026-11-20",
"primary_exchange": "BATO",
"shares_per_contract": 100,
"strike_price": 110,
"ticker": "O:A261120C00110000",
"underlying_ticker": "A"
},
{
"cfi": "OCASPS",
"contract_type": "call",
"exercise_style": "american",
"expiration_date": "2026-11-20",
"primary_exchange": "BATO",
"shares_per_contract": 100,
"strike_price": 115,
"ticker": "O:A261120C00115000",
"underlying_ticker": "A"
},
{
"cfi": "OCASPS",
"contract_type": "call",
"exercise_style": "american",
"expiration_date": "2026-11-20",
"primary_exchange": "BATO",
"shares_per_contract": 100,
"strike_price": 120,
"ticker": "O:A261120C00120000",
"underlying_ticker": "A"
},
{
"cfi": "OCASPS",
"contract_type": "call",
"exercise_style": "american",
"expiration_date": "2026-11-20",
"primary_exchange": "BATO",
"shares_per_contract": 100,
"strike_price": 125,
"ticker": "O:A261120C00125000",
"underlying_ticker": "A"
},
{
"cfi": "OCASPS",
"contract_type": "call",
"exercise_style": "american",
"expiration_date": "2026-11-20",
"primary_exchange": "BATO",
"shares_per_contract": 100,
"strike_price": 130,
"ticker": "O:A261120C00130000",
"underlying_ticker": "A"
},
{
"cfi": "OCASPS",
"contract_type": "call",
"exercise_style": "american",
"expiration_date": "2026-11-20",
"primary_exchange": "BATO",
"shares_per_contract": 100,
"strike_price": 135,
"ticker": "O:A261120C00135000",
"underlying_ticker": "A"
},
{
"cfi": "OCASPS",
"contract_type": "call",
"exercise_style": "american",
"expiration_date": "2026-11-20",
"primary_exchange": "BATO",
"shares_per_contract": 100,
"strike_price": 140,
"ticker": "O:A261120C00140000",
"underlying_ticker": "A"
},
{
"cfi": "OCASPS",
"contract_type": "call",
"exercise_style": "american",
"expiration_date": "2026-11-20",
"primary_exchange": "BATO",
"shares_per_contract": 100,
"strike_price": 145,
"ticker": "O:A261120C00145000",
"underlying_ticker": "A"
},
{
"cfi": "OCASPS",
"contract_type": "call",
"exercise_style": "american",
"expiration_date": "2026-11-20",
"primary_exchange": "BATO",
"shares_per_contract": 100,
"strike_price": 150,
"ticker": "O:A261120C00150000",
"underlying_ticker": "A"
},
{
"cfi": "OCASPS",
"contract_type": "call",
"exercise_style": "american",
"expiration_date": "2026-11-20",
"primary_exchange": "BATO",
"shares_per_contract": 100,
"strike_price": 155,
"ticker": "O:A261120C00155000",
"underlying_ticker": "A"
},
{
"cfi": "OCASPS",
"contract_type": "call",
"exercise_style": "american",
"expiration_date": "2026-11-20",
"primary_exchange": "BATO",
"shares_per_contract": 100,
"strike_price": 160,
"ticker": "O:A261120C00160000",
"underlying_ticker": "A"
},
{
"cfi": "OCASPS",
"contract_type": "call",
"exercise_style": "american",
"expiration_date": "2026-11-20",
"primary_exchange": "BATO",
"shares_per_contract": 100,
"strike_price": 165,
"ticker": "O:A261120C00165000",
"underlying_ticker": "A"
},
{
"cfi": "OCASPS",
"contract_type": "call",
"exercise_style": "american",
"expiration_date": "2026-11-20",
"primary_exchange": "BATO",
"shares_per_contract": 100,
"strike_price": 170,
"ticker": "O:A261120C00170000",
"underlying_ticker": "A"
},
{
"cfi": "OCASPS",
"contract_type": "call",
"exercise_style": "american",
"expiration_date": "2026-11-20",
"primary_exchange": "BATO",
"shares_per_contract": 100,
"strike_price": 175,
"ticker": "O:A261120C00175000",
"underlying_ticker": "A"
},
{
"cfi": "OCASPS",
"contract_type": "call",
"exercise_style": "american",
"expiration_date": "2026-11-20",
"primary_exchange": "BATO",
"shares_per_contract": 100,
"strike_price": 180,
"ticker": "O:A261120C00180000",
"underlying_ticker": "A"
},
{
"cfi": "OCASPS",
"contract_type": "call",
"exercise_style": "american",
"expiration_date": "2026-11-20",
"primary_exchange": "BATO",
"shares_per_contract": 100,
"strike_price": 185,
"ticker": "O:A261120C00185000",
"underlying_ticker": "A"
},
{
"cfi": "OCASPS",
"contract_type": "call",
"exercise_style": "american",
"expiration_date": "2026-11-20",
"primary_exchange": "BATO",
"shares_per_contract": 100,
"strike_price": 190,
"ticker": "O:A261120C00190000",
"underlying_ticker": "A"
},
{
"cfi": "OCASPS",
"contract_type": "call",
"exercise_style": "american",
"expiration_date": "2026-11-20",
"primary_exchange": "BATO",
"shares_per_contract": 100,
"strike_price": 195,
"ticker": "O:A261120C00195000",
"underlying_ticker": "A"
},
{
"cfi": "OCASPS",
"contract_type": "call",
"exercise_style": "american",
"expiration_date": "2026-11-20",
"primary_exchange": "BATO",
"shares_per_contract": 100,
"strike_price": 200,
"ticker": "O:A261120C00200000",
"underlying_ticker": "A"
},
{
"cfi": "OPASPS",
"contract_type": "put",
"exercise_style": "american",
"expiration_date": "2026-11-20",
"primary_exchange": "BATO",
"shares_per_contract": 100,
"strike_price": 60,
"ticker": "O:A261120P00060000",
"underlying_ticker": "A"
},
{
"cfi": "OPASPS",
"contract_type": "put",
"exercise_style": "american",
"expiration_date": "2026-11-20",
"primary_exchange": "BATO",
"shares_per_contract": 100,
"strike_price": 65,
"ticker": "O:A261120P00065000",
"underlying_ticker": "A"
},
{
"cfi": "OPASPS",
"contract_type": "put",
"exercise_style": "american",
"expiration_date": "2026-11-20",
"primary_exchange": "BATO",
"shares_per_contract": 100,
"strike_price": 70,
"ticker": "O:A261120P00070000",
"underlying_ticker": "A"
},
{
"cfi": "OPASPS",
"contract_type": "put",
"exercise_style": "american",
"expiration_date": "2026-11-20",
"primary_exchange": "BATO",
"shares_per_contract": 100,
"strike_price": 75,
"ticker": "O:A261120P00075000",
"underlying_ticker": "A"
},
{
"cfi": "OPASPS",
"contract_type": "put",
"exercise_style": "american",
"expiration_date": "2026-11-20",
"primary_exchange": "BATO",
"shares_per_contract": 100,
"strike_price": 80,
"ticker": "O:A261120P00080000",
"underlying_ticker": "A"
},
{
"cfi": "OPASPS",
"contract_type": "put",
"exercise_style": "american",
"expiration_date": "2026-11-20",
"primary_exchange": "BATO",
"shares_per_contract": 100,
"strike_price": 85,
"ticker": "O:A261120P00085000",
"underlying_ticker": "A"
},
{
"cfi": "OPASPS",
"contract_type": "put",
"exercise_style": "american",
"expiration_date": "2026-11-20",
"primary_exchange": "BATO",
"shares_per_contract": 100,
"strike_price": 90,
"ticker": "O:A261120P00090000",
"underlying_ticker": "A"
},
{
"cfi": "OPASPS",
"contract_type": "put",
"exercise_style": "american",
"expiration_date": "2026-11-20",
"primary_exchange": "BATO",
"shares_per_contract": 100,
"strike_price": 95,
"ticker": "O:A261120P00095000",
"underlying_ticker": "A"
},
{
"cfi": "OPASPS",
"contract_type": "put",
"exercise_style": "american",
"expiration_date": "2026-11-20",
"primary_exchange": "BATO",
"shares_per_contract": 100,
"strike_price": 100,
"ticker": "O:A261120P00100000",
"underlying_ticker": "A"
},
{
"cfi": "OPASPS",
"contract_type": "put",
"exercise_style": "american",
"expiration_date": "2026-11-20",
"primary_exchange": "BATO",
"shares_per_contract": 100,
"strike_price": 105,
"ticker": "O:A261120P00105000",
"underlying_ticker": "A"
},
{
"cfi": "OPASPS",
"contract_type": "put",
"exercise_style": "american",
"expiration_date": "2026-11-20",
"primary_exchange": "BATO",
"shares_per_contract": 100,
"strike_price": 110,
"ticker": "O:A261120P00110000",
"underlying_ticker": "A"
},
{
"cfi": "OPASPS",
"contract_type": "put",
"exercise_style": "american",
"expiration_date": "2026-11-20",
"primary_exchange": "BATO",
"shares_per_contract": 100,
"strike_price": 115,
"ticker": "O:A261120P00115000",
"underlying_ticker": "A"
},
{
"cfi": "OPASPS",
"contract_type": "put",
"exercise_style": "american",
"expiration_date": "2026-11-20",
"primary_exchange": "BATO",
"shares_per_contract": 100,
"strike_price": 120,
"ticker": "O:A261120P00120000",
"underlying_ticker": "A"
}
],
"next_url": "https://api.tradeiqai.com/v3/reference/options/contracts?cursor=YXA9JTdCJTIySUQlMjIlM0ElMjI0ODkzMDA4NjA1MTQ3NTM4NDY2JTIyJTJDJTIyU3RhcnREYXRlVXRjJTIyJTNBJTdCJTIyVGltZSUyMiUzQSUyMjIwMjYtMDMtMThUMDAlM0EwMCUzQTAwWiUyMiUyQyUyMlZhbGlkJTIyJTNBdHJ1ZSU3RCUyQyUyMkVuZERhdGVVdGMlMjIlM0ElN0IlMjJUaW1lJTIyJTNBJTIyMDAwMS0wMS0wMVQwMCUzQTAwJTNBMDBaJTIyJTJDJTIyVmFsaWQlMjIlM0FmYWxzZSU3RCUyQyUyMnVuZGVybHlpbmdfdGlja2VyJTIyJTNBJTIyQSUyMiUyQyUyMnRpY2tlciUyMiUzQSUyMk8lM0FBMjYxMTIwUDAwMTIwMDAwJTIyJTJDJTIyZXhwaXJhdGlvbl9kYXRlJTIyJTNBJTIyMjAyNi0xMS0yMFQwMCUzQTAwJTNBMDBaJTIyJTJDJTIyc3RyaWtlX3ByaWNlJTIyJTNBMTIwJTJDJTIyY2ZpJTIyJTNBJTIyT1BBU1BTJTIyJTJDJTIyY29udHJhY3RfdHlwZSUyMiUzQSUyMnB1dCUyMiUyQyUyMmV4ZXJjaXNlX3N0eWxlJTIyJTNBJTIyYW1lcmljYW4lMjIlMkMlMjJwcmltYXJ5X2V4Y2hhbmdlJTIyJTNBJTdCJTIyU3RyaW5nJTIyJTNBJTIyQkFUTyUyMiUyQyUyMlZhbGlkJTIyJTNBdHJ1ZSU3RCUyQyUyMnNoYXJlc19wZXJfY29udHJhY3QlMjIlM0ExMDAlMkMlMjJhZGRpdGlvbmFsX3VuZGVybHlpbmdzJTIyJTNBJTIyJTVCJTVEJTIyJTdEJmFzPSZsaW1pdD0xMDAmb3JkZXI9YXNjJnNvcnQ9dGlja2Vy"
}
}